# Interface methods for submodule: CumulativeGaussianCostFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MultipleValuedCostFunctionProxy as _MultipleValuedCostFunctionProxy


# Interface methods for class: CumulativeGaussianCostFunction
class CumulativeGaussianCostFunctionProxy(_MultipleValuedCostFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetDerivative(self, arg0, arg1) -> None:
		""""""
		...

	def GetValue(self, parameters) -> Sequence[float]:
		""""""
		...

	def GetValuePointer(self, parameters):
		""""""
		...

	def CalculateFitError(self, setTestArray) -> float:
		""""""
		...

	def EvaluateCumulativeGaussian(self, argument: float) -> float:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def GetNumberOfValues(self) -> int:
		""""""
		...

	def Initialize(self, rangeDimension: int) -> None:
		""""""
		...

	def SetOriginalDataArray(self, setOriginalDataArray) -> None:
		""""""
		...

